# Uses of Class
javax.net.ssl.SSLSocketFactory

Packages that use SSLSocketFactory
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLSocketFactory in javax.naming.ldap

Methods in javax.naming.ldap with parameters of type SSLSocketFactory
Modifier and Type
Method
Description
`abstract SSLSession`
StartTlsResponse.`negotiate(SSLSocketFactory factory)`
Negotiates a TLS session using an SSL socket factory.

## Uses of SSLSocketFactory in javax.net.ssl

Methods in javax.net.ssl that return SSLSocketFactory
Modifier and Type
Method
Description
`protected abstract SSLSocketFactory`
SSLContextSpi.`engineGetSocketFactory()`
Returns a `SocketFactory` object for this context.
`static SSLSocketFactory`
HttpsURLConnection.`getDefaultSSLSocketFactory()`
Gets the default static `SSLSocketFactory` that is inherited by new instances of this class.
`final SSLSocketFactory`
SSLContext.`getSocketFactory()`
Returns a `SocketFactory` object for this context.
`SSLSocketFactory`
HttpsURLConnection.`getSSLSocketFactory()`
Gets the SSL socket factory to be used when creating sockets for secure https URL connections.
Methods in javax.net.ssl with parameters of type SSLSocketFactory
Modifier and Type
Method
Description
`static void`
HttpsURLConnection.`setDefaultSSLSocketFactory(SSLSocketFactory sf)`
Sets the default `SSLSocketFactory` inherited by new instances of this class.
`void`
HttpsURLConnection.`setSSLSocketFactory(SSLSocketFactory sf)`
Sets the `SSLSocketFactory` to be used when this instance creates sockets for secure https URL connections.